Loading...
Searching...
No Matches
pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > Class Template Reference

Utility class for evaluating a decision tree. More...

`#include <pcl/ml/dt/decision_tree_evaluator.h>`

## Public Member Functions

| DecisionTreeEvaluator ()
| Constructor.
virtual | ~DecisionTreeEvaluator ()
| Destructor.
void | evaluate (pcl::DecisionTree< NodeType > &tree, pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > &feature_handler, pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > &stats_estimator, DataSet &data_set, std::vector< ExampleIndex > &examples, std::vector< LabelType > &label_data)
| Evaluates the specified examples using the supplied tree.
void | evaluateAndAdd (pcl::DecisionTree< NodeType > &tree, pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > &feature_handler, pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > &stats_estimator, DataSet &data_set, std::vector< ExampleIndex > &examples, std::vector< LabelType > &label_data)
| Evaluates the specified examples using the supplied tree and adds the results to the supplied results array.
void | evaluate (pcl::DecisionTree< NodeType > &tree, pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > &feature_handler, pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > &stats_estimator, DataSet &data_set, ExampleIndex example, NodeType &leave)
| Evaluates the specified examples using the supplied tree.
void | getNodes (pcl::DecisionTree< NodeType > &tree, pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > &feature_handler, pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > &stats_estimator, DataSet &data_set, std::vector< ExampleIndex > &examples, std::vector< NodeType * > &nodes)
| Evaluates the specified examples using the supplied tree.

## Detailed Description

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>
class pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >

Utility class for evaluating a decision tree.

Definition at line 55 of file decision_tree_evaluator.h.

## Constructor & Destructor Documentation

## DecisionTreeEvaluator()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::DecisionTreeEvaluator | ( |  | ) |

default

Constructor.

## ~DecisionTreeEvaluator()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::~DecisionTreeEvaluator | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## evaluate() [1/2]

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

void pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::evaluate | ( | pcl::DecisionTree< NodeType > & | tree,
|  | pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > & | feature_handler,
|  | pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > & | stats_estimator,
|  | DataSet & | data_set,
|  | ExampleIndex | example,
|  | NodeType & | leave )

Evaluates the specified examples using the supplied tree.

Parameters

  [in] | tree | the decision tree
  [in] | feature_handler | the feature handler used to train the tree
  [in] | stats_estimator | the statistics estimation instance used while training the tree
  [in] | data_set | the data set used for evaluation
  [in] | example | the example that has to be evaluated
  [out] | leave | The leave reached by the examples.

Definition at line 145 of file decision_tree_evaluator.hpp.

References pcl::StatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::computeBranchIndex(), pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex >::evaluateFeature(), and pcl::DecisionTree< NodeType >::getRoot().

## evaluate() [2/2]

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

void pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::evaluate | ( | pcl::DecisionTree< NodeType > & | tree,
|  | pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > & | feature_handler,
|  | pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > & | stats_estimator,
|  | DataSet & | data_set,
|  | std::vector< ExampleIndex > & | examples,
|  | std::vector< LabelType > & | label_data )

Evaluates the specified examples using the supplied tree.

Parameters

  [in] | tree | the decision tree
  [in] | feature_handler | the feature handler used to train the tree
  [in] | stats_estimator | the statistics estimation instance used while training the tree
  [in] | data_set | the data set used for evaluation
  [in] | examples | the examples that have to be evaluated
  [out] | label_data | the destination for the resulting label data

Definition at line 71 of file decision_tree_evaluator.hpp.

References pcl::StatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::computeBranchIndex(), pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex >::evaluateFeature(), pcl::StatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::getLabelOfNode(), and pcl::DecisionTree< NodeType >::getRoot().

## evaluateAndAdd()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

void pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::evaluateAndAdd | ( | pcl::DecisionTree< NodeType > & | tree,
|  | pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > & | feature_handler,
|  | pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > & | stats_estimator,
|  | DataSet & | data_set,
|  | std::vector< ExampleIndex > & | examples,
|  | std::vector< LabelType > & | label_data )

Evaluates the specified examples using the supplied tree and adds the results to the supplied results array.

Parameters

  [in] | tree | the decision tree
  [in] | feature_handler | the feature handler used to train the tree
  [in] | stats_estimator | the statistics estimation instance used while training the tree
  [in] | data_set | the data set used for evaluation
  [in] | examples | the examples that have to be evaluated
  [out] | label_data | the destination where the resulting label data is added to

Definition at line 108 of file decision_tree_evaluator.hpp.

References pcl::StatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::computeBranchIndex(), pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex >::evaluateFeature(), pcl::StatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::getLabelOfNode(), and pcl::DecisionTree< NodeType >::getRoot().

## getNodes()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

void pcl::DecisionTreeEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::getNodes | ( | pcl::DecisionTree< NodeType > & | tree,
|  | pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > & | feature_handler,
|  | pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > & | stats_estimator,
|  | DataSet & | data_set,
|  | std::vector< ExampleIndex > & | examples,
|  | std::vector< NodeType * > & | nodes )

Evaluates the specified examples using the supplied tree.

Parameters

  [in] | tree | the decision tree
  [in] | feature_handler | the feature handler used to train the tree
  [in] | stats_estimator | the statistics estimation instance used while training the tree
  [in] | data_set | the data set used for evaluation
  [in] | examples | the examples that have to be evaluated
  [out] | nodes | the leaf-nodes reached while evaluation

Definition at line 178 of file decision_tree_evaluator.hpp.

References pcl::StatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::computeBranchIndex(), pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex >::evaluateFeature(), and pcl::DecisionTree< NodeType >::getRoot().

The documentation for this class was generated from the following files:

- pcl/ml/dt/decision_tree_evaluator.h
- pcl/ml/impl/dt/decision_tree_evaluator.hpp